import React from "react";
import { Room } from "matrix-js-sdk/src/matrix";
interface IProps extends React.HTMLProps<HTMLDivElement> {
    room: Room;
}
export declare function onRoomTopicLinkClick(e: React.MouseEvent): void;
export default function RoomTopic({ room, className, ...props }: IProps): JSX.Element;
export {};
